Storwize/SVC driver prints unclear error message for FC misconfiguration

Bug #1212652 reported by Avishay Traeger on 2013-08-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Low
Avishay Traeger

Bug Description

The following is a stack trace printed when the host has not been configured for FC (for example, no FC HBA, driver not configured, etc.). Rather than printing IndexError, it should print a clear message.

2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/openstack/common/rpc/amqp.py", line 433, in _process_data
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp **args)
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/openstack/common/rpc/dispatcher.py", line 148, in dispatch
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp return getattr(proxyobj, method)(ctxt, **kwargs)
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/manager.py", line 694, in initialize_connection
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp return self.driver.initialize_connection(volume_ref, connector)
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/drivers/storwize_svc.py", line 772, in initialize_connection
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp 'conn': str(connector)})
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp File "/usr/lib/python2.7/contextlib.py", line 24, in __exit__
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp self.gen.next()
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp File "/opt/stack/cinder/cinder/volume/drivers/storwize_svc.py", line 763, in initialize_connection
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp properties['target_wwn'] = conn_wwpns[0]
2013-08-15 18:43:54.700 TRACE cinder.openstack.common.rpc.amqp IndexError: list index out of range

Changed in cinder:
assignee: nobody → Avishay Traeger (avishay-il)
importance: Undecided → Low
status: New → Confirmed
tags: added: drivers storwize-svc

Fix proposed to branch: master
Review: https://review.openstack.org/42109

Changed in cinder:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/42109
Committed: http://github.com/openstack/cinder/commit/99e42e436798b64bad3a2a327cd5e82eb861d2e8
Submitter: Jenkins
Branch: master

commit 99e42e436798b64bad3a2a327cd5e82eb861d2e8
Author: Avishay Traeger <email address hidden>
Date: Thu Aug 15 14:31:03 2013 +0300

    Storwize/SVC: More error logging

    Some cases had exception raised without logging the error, and one
    case where FC was not configured properly raised an IndexError rather
    than presenting a clear message.

    Fixes: bug 1212652

    Change-Id: I7c39977f8e168e5e6afcdeb0f772fec854732140

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-09-05
Changed in cinder:
milestone: none → havana-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-3 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers